libzypp: zypp::KeyRingImpl::SendKeys Class Reference

libzypp 17.38.15

zypp::KeyRingImpl::SendKeys Class Reference

Helper for in-memory key transfer between two keyrings. More...

## Public Member Functions
| SendKeys (KeyRingImpl &keyRing, const Pathname &source, const Pathname &target)
| Ctor creates the context for reading source and writing target.
| SendKeys (KeyRingImpl &keyRing, const Ring source, const Ring target)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
| SendKeys (const SendKeys &)=delete
| SendKeys (SendKeys &&)=delete
SendKeys & | operator= (const SendKeys &)=delete
SendKeys & | operator= (SendKeys &&)=delete
void | operator() (const std::string &id)
| Transfer key with id from source to target keyring.

## Private Attributes
KeyManagerCtx | _source
CachedPublicKeyData::Manip | _target

## Detailed Description

Helper for in-memory key transfer between two keyrings.

Definition at line 183 of file keyring_p.h.

## Constructor & Destructor Documentation

## ◆ SendKeys() [1/4]

zypp::KeyRingImpl::SendKeys::SendKeys | ( | KeyRingImpl & | keyRing,
|  | const Pathname & | source,
|  | const Pathname & | target )

Ctor creates the context for reading source and writing target.

Definition at line 112 of file keyring_p.cc.

## ◆ SendKeys() [2/4]

zypp::KeyRingImpl::SendKeys::SendKeys | ( | KeyRingImpl & | keyRing,
|  | const Ring | source,
|  | const Ring | target )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 117 of file keyring_p.cc.

## ◆ SendKeys() [3/4]

zypp::KeyRingImpl::SendKeys::SendKeys | ( | const SendKeys & |  | ) |
| delete

## ◆ SendKeys() [4/4]

zypp::KeyRingImpl::SendKeys::SendKeys | ( | SendKeys && |  | ) |
| delete

## Member Function Documentation

## ◆ operator=() [1/2]

SendKeys & zypp::KeyRingImpl::SendKeys::operator= | ( | const SendKeys & |  | ) |
| delete

## ◆ operator=() [2/2]

SendKeys & zypp::KeyRingImpl::SendKeys::operator= | ( | SendKeys && |  | ) |
| delete

## ◆ operator()()

void zypp::KeyRingImpl::SendKeys::operator() | ( | const std::string & | id | ) |

Transfer key with id from source to target keyring.

Exceptions

  KeyRingException | if id was not found or import failed.

Definition at line 121 of file keyring_p.cc.

## Member Data Documentation

## ◆ _source

KeyManagerCtx zypp::KeyRingImpl::SendKeys::_source
| private

Definition at line 201 of file keyring_p.h.

## ◆ _target

CachedPublicKeyData::Manip zypp::KeyRingImpl::SendKeys::_target
| private

Definition at line 202 of file keyring_p.h.

The documentation for this class was generated from the following files:

- zypp-common/private/keyring_p.h
- zypp-common/private/keyring_p.cc